# -*- encoding: utf-8 -*-
# stub: domain_name 0.5.20160310 ruby lib

Gem::Specification.new do |s|
  s.name = "domain_name".freeze
  s.version = "0.5.20160310"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Akinori MUSHA".freeze]
  s.date = "2016-03-17"
  s.description = "This is a Domain Name manipulation library for Ruby.\n\nIt can also be used for cookie domain validation based on the Public\nSuffix List.\n".freeze
  s.email = ["knu@idaemons.org".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.files = [".document".freeze, ".gitignore".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "data/effective_tld_names.dat".freeze, "domain_name.gemspec".freeze, "lib/domain_name.rb".freeze, "lib/domain_name/etld_data.rb".freeze, "lib/domain_name/etld_data.rb.erb".freeze, "lib/domain_name/punycode.rb".freeze, "lib/domain_name/version.rb".freeze, "test/helper.rb".freeze, "test/test_domain_name-punycode.rb".freeze, "test/test_domain_name.rb".freeze, "tool/gen_etld_data.rb".freeze]
  s.homepage = "https://github.com/knu/ruby-domain_name".freeze
  s.licenses = ["BSD-2-Clause".freeze, "BSD-3-Clause".freeze, "MPL-1.1".freeze, "GPL-2.0".freeze, "LGPL-2.1".freeze]
  s.rubygems_version = "2.7.3".freeze
  s.summary = "Domain Name manipulation library for Ruby".freeze
  s.test_files = ["test/helper.rb".freeze, "test/test_domain_name-punycode.rb".freeze, "test/test_domain_name.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<unf>.freeze, ["< 1.0.0", ">= 0.0.5"])
      s.add_development_dependency(%q<test-unit>.freeze, ["~> 2.5.5"])
      s.add_development_dependency(%q<shoulda>.freeze, [">= 0"])
      s.add_development_dependency(%q<bundler>.freeze, [">= 1.2.0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0.9.2.2"])
      s.add_development_dependency(%q<rdoc>.freeze, [">= 2.4.2"])
    else
      s.add_dependency(%q<unf>.freeze, ["< 1.0.0", ">= 0.0.5"])
      s.add_dependency(%q<test-unit>.freeze, ["~> 2.5.5"])
      s.add_dependency(%q<shoulda>.freeze, [">= 0"])
      s.add_dependency(%q<bundler>.freeze, [">= 1.2.0"])
      s.add_dependency(%q<rake>.freeze, [">= 0.9.2.2"])
      s.add_dependency(%q<rdoc>.freeze, [">= 2.4.2"])
    end
  else
    s.add_dependency(%q<unf>.freeze, ["< 1.0.0", ">= 0.0.5"])
    s.add_dependency(%q<test-unit>.freeze, ["~> 2.5.5"])
    s.add_dependency(%q<shoulda>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.2.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0.9.2.2"])
    s.add_dependency(%q<rdoc>.freeze, [">= 2.4.2"])
  end
end

